:root {
    --byfi-primary: #0a4251;
    --byfi-secondary: #e64713;
    --byfi-background: #f7f7f7;
}

/* ============================== */
/* CSS Variables */
:root, .rz-standard {
    /* TEXTS */
    --rz-text-font-family: Roboto, Lato, Source Sans Pro, -apple-system, BlinkMacSystemFont, Segoe UI, Helvetica Neue, Arial, sans-serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol;
    /* COLORS */
    --rz-primary: var(--byfi-primary);
    --rz-primary-light: #13809d;
    --rz-primary-lighter: color-mix(in srgb, var(--byfi-primary), transparent 84%);
    --rz-primary-dark: #03181d;
    --rz-primary-darker: #000000;
    --rz-on-primary: var(--rz-white);
    --rz-on-primary-light: var(--rz-white);
    --rz-on-primary-lighter: var(--byfi-primary);
    --rz-on-primary-dark: var(--rz-white);
    --rz-on-primary-darker: var(--rz-white);
    --rz-secondary: var(--byfi-secondary);
    --rz-secondary-light: #ff6d15;
    --rz-secondary-lighter: color-mix(in srgb, var(--byfi-secondary), transparent 84%);
    --rz-secondary-dark: #b3370e;
    --rz-secondary-darker: #80270a;
    --rz-on-secondary: var(--rz-white);
    --rz-on-secondary-light: var(--rz-white);
    --rz-on-secondary-lighter: var(--byfi-secondary);
    --rz-on-secondary-dark: var(--rz-white);
    --rz-on-secondary-darker: var(--rz-white);
    --rz-link-color: var(--byfi-primary);
    /* CARDS */
    --rz-card-border-radius: 1.25rem;
    --rz-card-padding: 1.75rem;
    /* BUTTONS */
/*    --rz-button-border-radius: 8px;*/
}


/* ============================== */
/* Styles for basic HTML tags */
html, body {
    font-family: Roboto, Lato, 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

body {
    background: none;
    background-color: var(--byfi-background);
}

h1:focus {
    outline: none;
}

h1, h2, h3, h4, h5, h6 {
    margin: 0;
}

ul {
    margin: 0;
    margin-top: 0.5rem;
}


/* ============================== */
/* Styles for Blazor loading and debug error banner */
#blazor-error-ui {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.loading-progress {
    position: absolute;
    display: block;
    width: 8rem;
    height: 8rem;
    inset: 20vh 0 auto 0;
    margin: 0 auto 0 auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }


/* ============================== */
/* General classes */
/* Hide the floating label of a RadzenFormField */
.hidden-label .rz-form-field-content {
    margin: 0;
}
.hidden-label label {
    opacity: 0;
    width: 100%;
    height: 0;
    padding: 0;
    margin: 0;
    border: 0;
}

/* Hide the dropdown arrow of a profile menu */
.hidden-arrow.rz-profile-menu {
    padding-inline: 0;
}
.hidden-arrow .rz-navigation-item-icon-children {
    display: none;
}

/* Reduce the table cell padding */
.compact-table td {
    padding: 0.25rem;
}

/* Bootstrap container class */
.container {
    margin-right: auto;
    margin-left: auto;
}

@media (min-width: 576px) {
    .container {
        max-width: 540px;
    }
}

@media (min-width: 768px) {
    .container {
        max-width: 720px;
    }
}

@media (min-width: 992px) {
    .container {
        max-width: 960px;
    }
}

@media (min-width: 1200px) {
    .container {
        max-width: 1140px;
    }
}

@media (min-width: 1400px) {
    .container {
        max-width: 1320px;
    }
}

/* Mark required input's label */
.required label::after {
    content: " (requis)";
    color: var(--rz-text-secondary-color);
    font-size: 0.75rem;
}

/* Organisation tree/input */
.organization-value {
    min-height: 38px;
    padding: 0.5rem;
    border-block-end: var(--rz-input-border-block-end);
}

.organization-tree {
    width: 100%;
    padding: 0.25rem;
    display: inherit;
    overflow-y: scroll;
}

/* Utility classes */
.bleed-card,
.bleed-card-bottom {
    margin-inline: calc(var(--rz-card-padding) * -1);
}
.bleed-card-bottom {
    margin-block-end: calc(var(--rz-card-padding) * -1);
}


.by-app-title {
    font-size: 24px;
    color: var(--byfi-primary);
}

.by-app-title-prefix {
    font-size: 28px;
    color: var(--byfi-primary);
}

.by-flex,
.by-flex-col,
.by-flex-row {
    display: flex;
}

.by-flex-col {
    flex-direction: column;
}

.by-flex-row {
    flex-direction: row;
}

.by-flex-grow {
    flex-grow: 1;
}

.by-datatable {
    max-height: 75vh;
}


/* ============================== */
/* Radzen Blazor class overrides */
.rz-button-lg {
    font-size: 1.75rem;
}


.rz-card {
    overflow: hidden;
}


ul.rz-profile-menu {
    border-inline-start: unset;
    background-color: transparent;
    z-index: unset;
}


.rz-datatable-loading, .rz-datatable-loading-content {
    z-index: 4;
}


.rz-form-field.rz-state-disabled .rz-form-field-content,
.rz-form-field.rz-state-disabled :not(.rz-button).rz-state-disabled,
.rz-form-field.rz-state-disabled :not(.rz-button):disabled {
    background-color: var(--rz-input-disabled-background-color);
}


.form-field-fieldset .rz-fieldset-legend {
    font-size: 0.75rem;
    margin-left: 0.25rem;
    padding-inline: 0.25rem;
}
.form-field-fieldset .rz-fieldset-content {
    padding: 0;
}


.rz-form-field-helper {
    display: flex;
    flex-direction: column;
}
.rz-form-field-helper .rz-message {
    padding-top: 4px;
}
.rz-messages-info {
    display: inline-block;
    color: var(--rz-text-disabled-color);
    font-size: var(--rz-form-error-font-size);
    padding: var(--rz-validator-text-padding);
}


ul.rz-profile-menu.variant-text {
    padding-inline: 0;
    margin-block: -0.625rem;
}

    ul.rz-profile-menu.variant-text > li.rz-navigation-item > .rz-navigation-item-wrapper {
        padding: 8px;
        cursor: pointer;
        border-radius: var(--rz-button-border-radius);
    }

        ul.rz-profile-menu.variant-text > li.rz-navigation-item > .rz-navigation-item-wrapper:hover {
            background-color: var(--rz-base-lighter);
            color: var(--rz-on-base-lighter);
        }
